llvm-toolchain-18 (1:18.1.8-20ubuntu10) stonking; urgency=medium

  * d/p/sanitizer-193116.patch: remove linux/scc.h (LP: #2163357).
  * d/rules: fix cmake 4 compatibility (LP: #2146915).
  * d/p/lldb-python-wrapper-exceptions.diff: allow exceptions in generated code
    (LP: #2163515).

 -- Karl Smeltzer <karl.smeltzer@canonical.com>  Fri, 14 Aug 2026 11:49:51 -0700

llvm-toolchain-18 (1:18.1.8-20ubuntu9) stonking; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jun 2026 21:06:18 +0200

llvm-toolchain-18 (1:18.1.8-20ubuntu8) resolute; urgency=medium

  * Cherry-pick change from Debian git

  [ Igor Luppi <igor.luppi@canonical.com> ]
  * d/llvm-X.Y-tools.bcep.in: fix bcep exception pattern (LP: #2138890).

  [ Matthias Klose ]
  * d/llvm-X.Y-tools.bcep.in: Fix Python 3.14 byte compilation by adding
    an exception for shtest-encoding.py test file containing non-UTF-8
    characters (Igor Luppi). LP: #2138890.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Jan 2026 19:28:31 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu6) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 20:45:14 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 09:45:18 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Dec 2025 15:10:27 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu3) resolute; urgency=medium

  * No-change rebuild for OCAML ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2025 14:09:39 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu2) resolute; urgency=medium

  * Revert the libz3-dev change, libz3-4 is restored.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Nov 2025 02:38:35 +0100

llvm-toolchain-18 (1:18.1.8-20ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build-depend on libz3-dev on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Nov 2025 14:57:43 +0100

llvm-toolchain-18 (1:18.1.8-20) unstable; urgency=medium

  [ Matthias Klose ]
  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.
  * Fix ftbfs with C23. Closes: #1098879, #1114187.
  * Make Ubuntu plucky, questing, resolute known distros.
  * libc++abi: Don't depend on libunwind. Closes: #1071210.
  * Remove M-A: same attribute from libmlir-*. Closes: #1104336.
  * CVE-2024-7883, issue using Arm Cortex-M Security Extensions (CMSE).
    Closes: #1104016.
  * Remove obsolete build dependencies libjsoncpp-dev and pkg-config.
    Addresses: #1093961.

  [ Gianfranco Costamagna ]
  * Cherry-pick PR: #137403, #137440 and #149140 to fix sanitizer build
    in glibc-2.42 (termio/termios issues).

 -- Matthias Klose <doko@debian.org>  Sat, 08 Nov 2025 05:37:22 +0100

llvm-toolchain-18 (1:18.1.8-18ubuntu2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 08:13:30 +0200

llvm-toolchain-18 (1:18.1.8-18ubuntu1) questing; urgency=medium

  * On ppc64el configure --with-long-double-format=ieee for upcoming distros.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Jun 2025 15:05:25 +0200

llvm-toolchain-18 (1:18.1.8-18) unstable; urgency=medium

  * Remove "Provides: libunwind-dev" (Closes: #1100481)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Apr 2025 12:09:37 +0200

llvm-toolchain-18 (1:18.1.8-17) unstable; urgency=medium

  [ Matthias Klose ]
  * d/control, d/t/control: Add binutils-gold as explicit build dependency.
    Will fix arm64 test failures

  [ Sylvestre Ledru ]
  * Enable sse2 back on i386 for rustc
    https://lists.debian.org/debian-devel/2025/01/msg00034.html
    (remove the two patches that we are applying for disable sse2)
    It is now the same as upstream
    (Closes: #1095867)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Feb 2025 14:26:20 +0100

llvm-toolchain-18 (1:18.1.8-16) unstable; urgency=medium

  * Adjust the skip list of tests (Closes: #1093585)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 21 Jan 2025 09:07:54 +0100

llvm-toolchain-18 (1:18.1.8-15) unstable; urgency=medium

  [ Matthias Klose ]
  * d/t/control: Remove explicit dependency on libstdc++-N-dev.

  [ Sylvestre Ledru ]
  * Skip some autopkgtests on non intel cpu

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2025 14:16:06 +0100

llvm-toolchain-18 (1:18.1.8-14) unstable; urgency=medium

  * Rewrite qualify-clang.sh with bats
    Might fail on some archs
  * Cherry-pick https://github.com/llvm/llvm-project/pull/122463
    https://github.com/llvm/llvm-project/issues/110374
    to be allow Firefox to build on armhf

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Jan 2025 18:57:50 +0100

llvm-toolchain-18 (1:18.1.8-13) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Allow overriding the bootstrap compiler from the environment
  * Set compiler-rt default target arch on powerpc
  * Restrict compiler-rt build to default target arch on powerpc

  [ Sylvestre Ledru ]
  * Remove the capability to be able to disable C++ Exceptions in libc++
  * Bring back C++ exceptions on s390x for libc++ (LP: #2086782)
  * Cherry-pick from 19
    d/rules: ensure $(NJOBS) propagates down into cmake sub-builds
    by Andres Salomon

  [ Matthias Klose ]
  * bolt: Disable the check for /proc/self/map_files. Might not be available
    on build machines. LP: #2084316.
  * Fix compatibility with Python 3.13. Closes: #1084641.
  * Don't override dh_ocaml. Closes: #1078233.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 27 Dec 2024 12:43:35 +0100

llvm-toolchain-18 (1:18.1.8-12) unstable; urgency=medium

  * Ensure that at least 1 CPU is used for build
    Thanks to Santiago Vila for the patch
    (Closes: #1082359)
  * Don't enable intel-pt on Ubuntu Bionic
  * Backport a miscompilation fix (Closes: #1082727)
  * Fix the bootstrapping (Closes: #1082610)
    Thanks to Andrey Feofilaktov for the patch
  * clang provides objc++-compiler (Closes: #1082744)
  * Update Standards version to 4.7.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Sep 2024 13:23:31 +0200

llvm-toolchain-18 (1:18.1.8-11) unstable; urgency=medium

  * Drop ocaml on armhf, ocamlopt disappeared making build ftbfs
  * Drop extra space in changelog
  * Sync spirv architectures with sid builds
  * Fix x32 build failure due to orc library not being installed
  * Add back LLVM_EXPERIMENTAL_TARGETS_TO_BUILD to PASSTHROUGH variables, to help m68k

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2024 08:42:27 +0200

llvm-toolchain-18 (1:18.1.8-10) unstable; urgency=medium

  [ Matthias Klose ]
  * ld.lld: When no package-metadata option is given, fall-back
    to the envvar ELF_PACKAGE_METADATA.

  [ Emanuele Rocca ]
  * Enable bolt on arm64, now supported upstream.

  [ Bo YU ]
  * Backport two commits to fix riscv64 issue. (Closes: #1080435)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 Sep 2024 23:08:26 +0200

llvm-toolchain-18 (1:18.1.8-9) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Mention in changelog also the SVE fixes from llvm-17
  * Drop mips D154390 patch, already upstream

  [ Sylvestre Ledru ]
  * Really fix breaks/replaces (Closes: #1077587)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2024 20:07:17 +0200

llvm-toolchain-18 (1:18.1.8-8) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Fix breaks/replaces (Closes: #1077587)

  [ Gianfranco Costamagna ]
  * Merge llvm-toolchain-17 1:17.0.6-13 into llvm-18 branch
    - Make SVE types available in device targets (Closes: #1076578)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Jul 2024 10:48:59 +0200

llvm-toolchain-18 (1:18.1.8-7) unstable; urgency=medium

  * Unbreak the cmake tools

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Jul 2024 09:49:06 +0200

llvm-toolchain-18 (1:18.1.8-6) unstable; urgency=medium

  * Make libllvm multi arch ready again ... (Closes: #1076131)
  * bring back spirv

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jul 2024 17:34:31 +0200

llvm-toolchain-18 (1:18.1.8-5) unstable; urgency=medium

  * Fix the broken Breaks/replaces for apt.llvm.org
    Closes: https://github.com/llvm/llvm-project/issues/99502
  * Bring back libLLVM.so.18.1 as symlink library
    (LP: #2073604)
  * temporary disable spirv to unbreak the build

  [ John Paul Adrian Glaubitz ]
  * Make regexp to grep for LLVM_DEFAULT_TARGET_TRIPLE less ambiguous

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jul 2024 11:54:39 +0200

llvm-toolchain-18 (1:18.1.8-4) unstable; urgency=medium

  * fix the symlinks after LLVM_ENABLE_PER_TARGET_RUNTIME_DIR=OFF
    Probably caused
    https://github.com/llvm/llvm-project/issues/99017
  * Move back /usr/lib/llvm-18/lib/libLLVM-18.so.1 to libllvm18 (Closes: #1076469)
    And add breaks/replaces to make sure the upgrade goes smoothly

  [ Matthias Klose ]
  * Construct the --package-metadata option just from ELF_PACKAGE_METADATA.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Jul 2024 18:02:17 +0200

llvm-toolchain-18 (1:18.1.8-3) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Revert LLVM_ENABLE_PER_TARGET_RUNTIME_DIR=ON
    9ca35f30383d89e4fdd45d15e0eb82c832df4b8c
    For causing https://github.com/llvm/llvm-project/issues/96210
  * Disable LLDB_BUILD_INTEL_PT on Ubuntu bionic
  * Make libllvm co-installable again (Closes: #1076131)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 15 Jul 2024 09:49:47 +0200

llvm-toolchain-18 (1:18.1.8-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    DEB_BUILD_OS_RELEASE_ID, DEB_SOURCE, DEB_VERSION and DEB_HOST_ARCH.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

  [ Sylvestre Ledru ]
  * Try to unbreak powerpc & sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2024 22:01:17 +0200

llvm-toolchain-17 (1:17.0.6-13) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Make SVE types available in device targets (Closes: #1076578)

  [ Matthias Klose ]
  * Pass --package-metadata on distros with supporting linkers (starting
    with Debian trixie and Ubuntu noble).
    The package metadata is constructed from the environment variables
    DEB_BUILD_OS_RELEASE_ID, DEB_SOURCE, DEB_VERSION and DEB_HOST_ARCH.
    Setting NO_PKG_METADATA=1 disables the generation of the package metadata.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 09:15:47 +0200

llvm-toolchain-18 (1:18.1.8-2~exp2) experimental; urgency=medium

  * Change the LLVM_HOST_TRIPLE option from i386-linux-gnu to
    i386-pc-linux-gnu
    and arm-linux-gnueabihf to arm-pc-linux-gnueabihf
    Otherwise, it will fail with:
    Cannot find builtins library for the target architecture

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Jul 2024 00:38:27 +0200

llvm-toolchain-18 (1:18.1.8-2~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Enable LLVM_ENABLE_PER_TARGET_RUNTIME_DIR
    to move the libraries into multi archi directories
  * Bring back libLLVM to be installed in /usr/lib/llvm-18/lib/libLLVM-18.so
    instead of /usr/lib/llvm-18/lib/libLLVM.so
    Same for libclang (remove usr/lib/llvm-18/lib/libclang.so.1
    This should make the packages multiarch co installable again
    (Closes: #1067699, #1067005)
    (LP: #2063207)
  * Introduce the new variable @DEB_HOST_MULTIARCH_LLVM@ in the build system
    because the LLVM triple is different than Debian
    x86_64-pc-linux-gnu instead of x86_64-linux-gnu
  * autopkgtest: only run libllvmlibc test on supported archs

  [ John Paul Adrian Glaubitz ]
  * Don't install Gold plugin on sparc64
  * Disable LLVM testsuite on x32
  * Install liborc_rt-x86_64.a on x32
  * Install hwasan_symbolize on x32

  [ Norbert Lange ]
  * build lldb with Intel PT support on x86, amd64

  [ Aurelien Jarno ]
  * Enable lldb on riscv64.

  [ Zixing Liu <zixing.liu@canonical.com> ]
  * d/p/clang-record-gcc-switches-by-default.patch: add a patch to force clang
    record gcc switches by default

  [ Gianfranco Costamagna ]
  * Rename check-libcxxabi in check-cxxabi.
  * Rename check-libcxx in check-cxx
  * Drop removed check-sanitizer (Closes: #1073201)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2024 22:27:25 +0200

llvm-toolchain-18 (1:18.1.8-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Jun 2024 22:00:49 +0200

llvm-toolchain-18 (1:18.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jun 2024 10:14:20 +0200

llvm-toolchain-18 (1:18.1.7~++20240605091817+7e6ece9b4f2d-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Jun 2024 09:18:34 +0200

llvm-toolchain-18 (1:18.1.6-1) unstable; urgency=medium

  * New upstream release
  * Don't install gold on mips64el armel loong64
  * Unbreak autopkgtest

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 May 2024 09:27:44 +0200

llvm-toolchain-18 (1:18.1.5-3) unstable; urgency=medium

  * Do not try to install gold on riscv64 (Closes: #1070909)
    Thanks to Aurelien Jarno for the fix
  * Disable --as-needed on armel (Closes: #1070811)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 May 2024 09:03:09 +0200

llvm-toolchain-18 (1:18.1.5-2) unstable; urgency=medium

  * Add oracular as supported release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 May 2024 07:32:59 +0200

llvm-toolchain-18 (1:18.1.5-1) unstable; urgency=medium

  * New upstream release
  * Be explicit with what ships in llvm-18-linker-tools
    to make sure we always ships gold.
    Will avoid issues like:
    https://github.com/llvm/llvm-project/issues/87553
    Might break the build on some Debian archs.

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 03 May 2024 11:18:56 +0200

llvm-toolchain-18 (1:18.1.5~++20240430100627+f341c76b9461-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Apr 2024 10:06:39 +0200

llvm-toolchain-18 (1:18.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 18 Apr 2024 11:45:22 +0200

llvm-toolchain-18 (1:18.1.3-1) unstable; urgency=medium

  * New upstream release
  * Only install mold when used
    but disabled for now because of https://github.com/rui314/mold/issues/1224

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Apr 2024 07:57:13 +0200

llvm-toolchain-18 (1:18.1.2-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-18 instead of llvm-spirv-17.
  * Add a stage1 profile to disable curl, grpc and spirv.
  * Build with --as-needed.

  [ Sylvestre Ledru ]
  * New upstream release
  * Build using mold as a linker

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Mar 2024 21:24:08 +0100

llvm-toolchain-18 (1:18.1.1-1) unstable; urgency=medium
  [ Matthias Klose ]
  * Fix sanitizer build on 32bit time_t64 architectures.
  * Enable compiler-rt runtime again for 32bit time_t64 architectures.
  * Revert: mark profile and xray include files as optional on armel and armhf.

  [ Sylvestre Ledru ]
  * Disable libc on bionic for apt.llvm.org
  * Try to address a link issue with libclang-cpp.so.18 (GH: #83986)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Mar 2024 20:27:05 +0100

llvm-toolchain-18 (1:18.1.0-2) unstable; urgency=medium

  * Uncomment wrong removal of rm code from last upload.
    - this should fix the current FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Mar 2024 21:49:10 +0100

llvm-toolchain-18 (1:18.1.0-1) unstable; urgency=medium

  * New stable release
  * Add a test to verify C++ modules tests

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Mar 2024 11:29:56 +0100

llvm-toolchain-18 (1:18.1.0~rc4-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Disable libllvmlibc-18-dev on armhf (Closes: #1065503)
  * Adjust some symlinks with the rc4 changes

  [ Matthias Klose ]
  * Make libclang-common-18-dev architecture dependent, mark profile and xray
    include files as optional on armel and armhf.

  [ Gianfranco Costamagna ]
  * Simplify rules file now that time64_t is default.
  * Use mxgot on mips64el
  * Disable tests on mips64el, they do timeout

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Mar 2024 09:21:57 +0100

llvm-toolchain-18 (1:18.1.0~rc4-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Install *clang_rt* on sparc and sparc64
  * Run chrpath for libclang on sparc and sparc64

  [ Sylvestre Ledru ]
  * New snapshot release
  * add -DLIBCXX_INSTALL_MODULES=ON to install libc++ C++-20 modules
    see https://discourse.llvm.org/t/libc-c-23-module-installation-support/77061/1
  * Add a new package libllvmlibc-18-dev to ship LLVM libc (experimental for now)
    (amd64, arm64 and armhf)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Feb 2024 11:08:41 +0100

llvm-toolchain-18 (1:18.1.0~rc2-4) unstable; urgency=medium

  * Fix 32bit builds, exclude i386, don't build clang-rt there
  * Revert gold linker on mips64el
  * Disable stack protector on mips64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 17:58:05 +0100

llvm-toolchain-18 (1:18.1.0~rc2-3) unstable; urgency=medium

  * Add abi=+time64,+lfs only on 64bits system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 11 Feb 2024 14:29:31 +0100

llvm-toolchain-18 (1:18.1.0~rc2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Try gold linker on mips64el
  * Add also lfs on top of time64, to fix FTBFS on 32bit

  [ Sylvestre Ledru ]
  * add new symbols in libomp5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Feb 2024 16:38:35 +0100

llvm-toolchain-18 (1:18.1.0~rc2-1) unstable; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Feb 2024 21:15:53 +0100

llvm-toolchain-18 (1:18.1.0~rc1-3) unstable; urgency=medium

  * Fix previous upload, time64 is effective only in one specific place of
    rules file
  * Fix some test using still clang-17
  * Switch testing to 18 line
  * Fix an underlinking on qualify-clang.sh

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Feb 2024 15:05:08 +0100

llvm-toolchain-18 (1:18.1.0~rc1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Use ABI time64 to avoid a transition for a new package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Feb 2024 08:26:26 +0100

llvm-toolchain-18 (1:18.1.0~rc1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Avoid hello build-dep getting pulled in on buildds.

  [ Gianfranco Costamagna ]
  * Fixup rc versioning, and go for sid

  [ Sylvestre Ledru ]
  * hwasan_symbolize is now built also on i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jan 2024 10:36:07 +0100

llvm-toolchain-18 (1:18.1.0-rc1-1~exp1) experimental; urgency=medium

  * First RC

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Jan 2024 09:01:06 +0100

llvm-toolchain-18 (1:18.1.0~++20240126095841+0991d3c7b53d-1~exp1) experimental; urgency=medium

  * Branching of 18
    note that it is normal that the versioning starts from 18.1
    See https://discourse.llvm.org/t/rfc-name-the-first-release-from-a-branch-n-1-0-instead-of-n-0-0/75384
  * refresh libomp5 symbol list
  * For the usage of -DLIBCXXABI_USE_LLVM_UNWINDER=OFF when we don't build unwind
    https://github.com/llvm/llvm-project/issues/77846
  * remove the unconditionally defined -DLIBUNWIND_USE_COMPILER_RT=ON
  * Also pass -DLIBCXXABI_USE_LLVM_UNWINDER:BOOL=OFF to libcxx-wasm32-wasi builds

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 26 Jan 2024 09:44:56 +0100

llvm-toolchain-snapshot (1:18~++20231211102647+75193b192ad9-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Addresses: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * New snapshot release
  * Fix a libc++ conflicts (Closes: #1057899)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Dec 2023 10:26:59 +0100

llvm-toolchain-snapshot (1:18~++20231203063627+9f78edbd20ed-1~exp1) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * replace python3-recommonmark by myst-parser
    to follow upstream change b7ff03206d668cd5a620a9d4e1b22ea112ed56e3
    And disable generation of the doc on old distro
  * Ship tblgen-to-irdl as part of mlir-tools
  * Rename lldb-vscode => lldb-dap
  * Ship tblgen-to-irdl as part of mlir-tools
  * Remove __tgt_rtl_deinit_plugin & __tgt_rtl_deinit_device symbols from
    openmp https://github.com/llvm/llvm-project/pull/73557

  [ Matthias Klose ]
  * Limit the number of parallel processes based on the available memory
    and the packages to be built (flang has some memory hogs).
  * Also install liborc_rt*.a on ppc64 and ppc64el.
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-18: Only encode the major version in the soname. See #1056126.
  * Restore the patch for D148945, searching /usr/lib/llvm-18/lib by default.
    Addresses: #1056580.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm9e. Closes: #1056115.
    - armhf: cortex-a7.

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Dec 2023 18:38:51 +0100

llvm-toolchain-17 (1:17.0.3-1~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Consolidate the build flags for the wasm builds.
  * Disable the clc and wasm builds when not building binary indep packages.
  * Limit the parallel links to 2 on riscv64.
  * d/rules: Be less noisy when building without grpc.
  * Build-depend on libncurses-dev instead of libncurses5-dev.
  * Use a stamps subdirectory for all build stamps.
  * Factor-out the calls to dh_listpackages.
  * d/rules/preconfigure: Print info about build environment.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Oct 2023 08:10:51 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp2) UNRELEASED; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 30 Aug 2023 11:49:01 +0200

llvm-toolchain-snapshot (1:18~++20230818040015+c931f2e6fd0c-1~exp1) experimental; urgency=medium

  * snapshot is now 18
  * Remove llvm-remark-size-diff & llvm-tapi-diff from llvm-X.Y-dev
  * Remove lldb-disable-swig-error.diff - no longer necessary

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Aug 2023 16:00:36 +0200

llvm-toolchain-snapshot (1:18~++20230725115106+b6847edfc235-1~exp1) experimental; urgency=medium

  * snapshot is now 18

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 25 Jul 2023 23:52:42 +0200

llvm-toolchain-17 (1:17.0.6-12) unstable; urgency=medium

  * Add oracular as supported release

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 May 2024 07:30:47 +0200

llvm-toolchain-17 (1:17.0.6-11) unstable; urgency=medium

  * Disable --as-needed on armel
  * Pass LLVM_EXPERIMENTAL_TARGETS_TO_BUILD to stage 1 to (try to) build M68k
    (Closes: #1067646)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Apr 2024 18:00:09 +0200

llvm-toolchain-17 (1:17.0.6-10) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix libomp symbols file for t64.

  [ Sylvestre Ledru ]
  * Allow build on machines without too many CPU
    Thanks to Santiago Vila for the patch
    (Closes: #1067714)
  * Disable Loongson SIMD Extension (LSX) and Loongson
    Advanced SIMD Extension (LASX) on 17 (Closes: #1068169)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Apr 2024 12:22:47 +0200

llvm-toolchain-17 (1:17.0.6-9) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Bump version to -9, the -8 is already used in Ubuntu

  [ Matthias Klose ]
  * Make libclang-common-17-dev architecture dependent.
  * Fix sanitizer build on 32bit time_t64 architectures.
  * Enable compiler-rt runtime again for 32bit time_t64 architectures.
  * Add a stage1 profile to disable curl, grpc and spirv.
  * Build with --as-needed.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Mar 2024 14:52:29 +0100

llvm-toolchain-17 (1:17.0.6-7) unstable; urgency=medium

  * Fix mxgot export on mips64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 16:09:18 +0100

llvm-toolchain-17 (1:17.0.6-6) unstable; urgency=medium

  [ chenli ]
  * Enable flang on loong64

  [ Sylvestre Ledru ]
  * try to enable sccache on 'my' s390x machines

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition.

  [ Gianfranco Costamagna ]
  * Fix 32bit builds
  * Export mxgot on mips64el

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Jan 2024 13:29:35 +0100

llvm-toolchain-17 (1:17.0.6-5) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Revert "Enable COMPILER_RT_BUILD_BUILTINS for armel"
  * Fix i386 FTBFS resulting from COMPILER_RT_DEFAULT_TARGET_ONLY
    (Closes: #1060440)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Jan 2024 14:15:09 +0100

llvm-toolchain-17 (1:17.0.6-4) unstable; urgency=medium

  * debian/qualify-clang.sh: remove the compiler-rt test of i386
    use libclang-rt-17-dev:i386 instead

  [ Matthias Klose ]
  * libclang1-17: Remove the full version symlinks.

  [ Faidon Liambotis ]
  * Enable COMPILER_RT_DEFAULT_TARGET_ONLY for all archs
  * Enable COMPILER_RT_BUILD_BUILTINS for armel
  * Drop two unreferenced debian/patches
  * Mark documentation packages as Multi-Arch: foreign
  * Convert libclang-common-*-dev to Arch: all/M-A: foreign

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 09 Jan 2024 13:03:56 +0100

llvm-toolchain-17 (1:17.0.6-3) unstable; urgency=medium

  * Cherry pick the wasm fix from 16
    (Closes: #1057838)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Dec 2023 18:51:57 +0100

llvm-toolchain-17 (1:17.0.6-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add new cmake-clang-test to spot issues such as
    Debian bug #1057151
  * Fix cmake file (Closes: #1057151)
  * Drop sed command, useless now

  [ Matthias Klose ]
  * Also use the free swap to determine the number of parallel processes.
  * libclang1-17: Hard-code the last full versions for the symlinks.
  * Also use the free swap to determine the number of parallel processes.
  * Set the cpu defaults for the ARM32 architectures:
    - armel: arm926ej-s. Closes: #1056115.
    - armhf: cortex-a8.
    Thanks to Arnd Bergmann and Ard Biesheuvel for the fixes.
  * Apply the proposed fix for D158491, build failure on mips64el, still
    unreviewed upstream. Addresses: #1056116.

  [ Sylvestre Ledru ]
  * Move the symlink /usr/lib/*/libc++experimental.a from libc++abi-17-dev
    to libc++-17-dev
  * Remove some old break/replaces from 16
  * Fix the EmitBackendOutput test in debian/qualify-clang.sh
  * Also add back /usr/lib/llvm-17/lib/libclang-17.so.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Dec 2023 09:49:04 +0100

llvm-toolchain-17 (1:17.0.6-1) unstable; urgency=medium

  [ Matthias Klose ]
  * Further limit the number of parallel processes
  * Don't build-depend on llvm-spirv-17 on armel and mipsel (LLVM 17 is not
    yet built on these architectures).
  * Fix stripping build flags on Ubuntu/ppc64el.
  * libclang1-17: Only encode the major version in the soname. Closes: #1056126.
  * libclang1-17: Provide a symlink for the last soname with the full version.
  * Restore the patch for D148945, searching /usr/lib/llvm-17/lib by default.
    Closes: #1056580.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add a symlink for libc++experimental.a to /usr/lib/*/libc++experimental.a
    to fix https://github.com/llvm/llvm-project/issues/72753
  * try to relax the wasi-libc dep declaration for apt.llvm.org
  * add a check that, if we are going to build wasm, wasi-libc is installed
    on the system

  [ John Paul Adrian Glaubitz ]
  * Don't install *clang_rt* on sparc and sparc64

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Nov 2023 11:43:43 +0100

llvm-toolchain-17 (1:17.0.5-1) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Don't run chrpath for libclang on sparc and sparc64

  [ Matthias Klose ]
  * Build-depend on llvm-spirv-17.

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 Nov 2023 11:27:22 +0100

llvm-toolchain-17 (1:17.0.2-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Oct 2023 09:18:45 +0200

llvm-toolchain-17 (1:17.0.1-1~exp2) experimental; urgency=medium

  * Also remove omp from cmake file (Closes: #1052533)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Sep 2023 11:24:39 +0200

llvm-toolchain-17 (1:17.0.1-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 19 Sep 2023 10:43:02 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp6) experimental; urgency=medium

  * Enable again python3-lldb on bionic (apt.llvm.org)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 18 Sep 2023 11:22:37 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp5) experimental; urgency=medium

  * debian/patches/D158066.patch:
    - cherry-pick change from 1:16.0.6-11
  * Make sure at least spirv 17 is used, FTBFS with older version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Sep 2023 08:51:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp4) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Don't depend on spirv, the version 16 is too old to work

  [ Sylvestre Ledru ]
  * Also ignore "-mbranch-protection=standard" (used on arm64)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Sep 2023 13:49:38 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp3) experimental; urgency=medium

  * Update control file
  * Fixup build failures from 16 branch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 23:04:28 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp2) experimental; urgency=medium

  * Strip -fcf-protection for wasm build - new flag added in dpkg 1.22
  * Explicitly depend on libcurl4-openssl-dev
    Thanks to Samuel Henrique for the fix

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 Sep 2023 22:44:15 +0200

llvm-toolchain-17 (1:17.0.0~+rc4-1~exp1) experimental; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Disable wasm support on powerpc and powerpcspe
  * Remove powerpc from BINUTILS_GOLD_ARCHS again

  [ Sylvestre Ledru ]
  * new upstream release
  * Disable python3-lldb on mips64el to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Sep 2023 14:30:50 +0200

llvm-toolchain-17 (1:17.0.0~+rc3-1~exp1) experimental; urgency=medium

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Aug 2023 19:22:57 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp2) UNRELEASED; urgency=medium

  * debian/tests/control: update gcc to 10 => 13

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 19 Aug 2023 10:07:19 +0200

llvm-toolchain-17 (1:17.0.0~+rc2-1~exp1) experimental; urgency=medium

  * New snapshot release:
  * Fix the libclang-rt-17-dev: ships
    /usr/lib[...]/wasi/libclang_rt.builtins-wasm*.a, already in
    libclang-rt-17-dev-wasm* (closes: #1041388)
  * Also install llvm-debuginfod in llvm-X.Y
  * Fix for real the libclang-rt-17-dev issue

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Aug 2023 19:25:12 +0000

llvm-toolchain-snapshot (1:17~++20230723074821+3ebe606592fb-1~exp1) UNRELEASED; urgency=medium

  * experimental New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Jul 2023 19:48:42 +0200

llvm-toolchain-snapshot (1:17~++20230709044550+c54ff51be9c1-1~exp1) experimental; urgency=medium

  * Install usr/lib/llvm-17/lib/clang/17/include/llvm_libc_wrappers/*.h
    in libclang-common-X.Y-dev
  * fix the libclang & libomp5 symbol files
  * Add new symbol to libclang1:
    clang_CXXMethod_isExplicit
    clang_createIndexWithOptions
    clang_getBinaryOperatorKindSpelling
    clang_getCursorBinaryOperatorKind
    clang_getCursorUnaryOperatorKind
    clang_getUnaryOperatorKindSpelling

  [ Samuel Thibault ]
  * Fix hurd build by fixing Linux-specific lines.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Jul 2023 15:15:34 +0200

llvm-toolchain-snapshot (1:17~++20230701095046+dc6c8b8d1e35-1~exp1) experimental; urgency=medium

  * llvm-debuginfod not installed anymore
    https://github.com/llvm/llvm-project/commit/8ac330bde40e9e0a0b2d0708ba6c7888fb1ce225
  * New snapshot release
  * Yet a new element (omp) to disable in cmake detection. Upstream #62622
  * remove some mlir example (libMyExtensionCh*.a)
  * Try to pass MAKE_C_COMPILER_LAUNCHER and CMAKE_CXX_COMPILER_LAUNCHER
    in CLANG_BOOTSTRAP_PASSTHROUGH for sccache in stage2
  * Disable python3-lldb-17 for buster (it has been this way for a while)
  * Try to workaround issue 63613

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Jul 2023 13:16:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfuzzer-18-dev`.
